<?php
 include "funciones.php";
 require("conecta.php");
 $tipo=$_POST['cmbtipod'];
 if ($tipo=="01"){
  $_SESSION['tipod']="Factura";
 }
 if ($tipo=="02"){
  $_SESSION['tipod']="Boleta";
 } 
 if ($tipo=="03"){
  $_SESSION['tipod']="Guía de Despacho";
 }  
 if ($tipo=="04"){
  $_SESSION['tipod']="Guía Interna";
 }  
 $fono=$_POST['telefono'];
 $ciudad=$_POST['cmbcom2'];
 $numero=$_POST['numero'];
 $numeroe=sprintf("%010d",$numero);
 $fechae=editafechag($_POST['fecha']);
 $vendedor=$_POST['usuario'];
 $nombre=$_POST['nombre'];
 $giro=$_POST['giro'];
 $direccion=$_POST['direccion'];
 $comuna=$_POST['cmbcom'];
 $stot=$_POST['stotal'];
 $d1=$_POST['d1'];
 $neto=$_POST['neto'];
 $iva=$_POST['iva'];
 $total=$_POST['total'];
 $usu=$_SESSION['nick'];
 $cpago=$_POST['cpago']; 
 $banco=$_POST['banco'];
 $cheque=$_POST['cheque'];
 $fechav=$_POST['fechac'];
 $tipocliente=$_POST['hdtipocliente'];
 $rut=$_POST['rut'];
 //***********************************************************
 //***********GRABACION DE CLIENTE SI ES NUEVO****************
 if ($tipocliente=="nuevo"){
  $sqlgc="insert into m02001 (rut,nombre,direccion,cod_comuna,ciudad,telefono1,giro)
  values ('$rut','$nombre','$direccion','$comuna','$ciudad','$fono','$giro');";
  $resgc=mysql_query($sqlgc,$con) or die(mysql_error()); }
 //***********FIN GRABACION DE CLIENTE************************ 
 $sqlge="insert into m02005 (cod_tipo_d,numero,fecha,usuario,rut,nombre,giro,direccion,cod_comuna,stotal,d1,neto,iva,total,cpago,banco,cheque,fechav,estado,fono,cod_ciu) values ('$tipo','$numeroe','$fechae','$usu','$rut','$nombre','$giro','$direccion','$comuna','$stot','$d1','$neto','$iva','$total','$cpago','$banco','$cheque','$fechav','00','$fono','$ciudad');";
 $resge=mysql_query($sqlge,$con) or die(mysql_error()); 
 $sqlb="select * from m02004 where llave='$usu' and estado='1';";
 $resb=mysql_query($sqlb,$con) or die(mysql_error());  
 if (mysql_num_rows($resb)){
  $cont=0;
  while ($fila=mysql_fetch_row($resb)){
   $cont++;   
   $conte=sprintf("%03d",$cont);
   $llave=$tipo . $numeroe . $conte;
   $interno=$fila[1];
   $cant=$fila[5];
   $glosa=$fila[3];
   $precio=$fila[6];
   $stot=$fila[7];
   
   //determinando el costo unitario a esa fecha 23/11/2006
    $sqlcos="select COSTO_CONTABLE from m07005 where cod_interno='$interno';";
	$rescos=mysql_query($sqlcos,$con) or die(mysql_error());
	$costo=0;
	if (mysql_num_rows($rescos)>0){
	 while ($filacos=mysql_fetch_row($rescos)){
	  $costo=$filacos[0];
	 }
	}
   //******************************************
   
   
   //******grabacion del detalle
   $sqlgd="insert into m02007 (llave,cantidad,cod_interno,glosa,precio_v,stotal,costou) values ('$llave','$cant','$interno','$glosa','$precio','$stot','$costo');";
   mysql_query($sqlgd,$con) or die(mysql_error());
   //***************************   
   //******eliminacion de itemes del carro
   $sqlec="delete from m02004 where llave='$usu' and cod_interno='$interno';";
   $resec=mysql_query($sqlec,$con) or die(mysql_error());
   //*****************fin eliminacion
   
   //*****************alteracion del stock
   //**************************************
   $sqlbs="select stock from m07005 where cod_interno='$interno';";//busca stock
   $resbs=mysql_query($sqlbs,$con) or die(mysql_error());
   while ($filast=mysql_fetch_row($resbs)){
    $stock=$filast[0];
   }//wend
   $stockf=$stock - $cant;
   $sqlms="update m07005 set stock='$stockf' where cod_interno='$interno';";
   $resms=mysql_query($sqlms,$con) or die(mysql_error());
   //*************fin alteracion del stock
   
   //poner fecha de agotamiento si corresponde
   if (($stockf*1)==0){
    $sqlfa="update m07001 set fecha_agotamiento='$fechae' where cod_interno='$interno';";
	$resfa=mysql_query($sqlfa,$con) or die(mysql_error());
   }
   //*****************************************
   
   //poner fecha de última venta
   $sqlfuv="update m07001 set fec_ult_venta='$fechae' where cod_interno='$interno';";
   $resfuv=mysql_query($sqlfuv,$con) or die(mysql_error());
   //****************************
   
   
  }//wend
 }//fin si
 $_SESSION['numero']=$numero;
 //echo "HTTP://" .$_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']);
 //header("Location: http://" . $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) . "/boleto.php?tipo=$tipo" ); 
 //if ($_SERVER['HTTP_HOST']=="www.automotriz-vemol.cl"){
  //echo "<center>Venta finalizada con éxito" . "<br>";
  //echo "<a href='M0205001.php'>Volver a la búsqueda </a></center>";
 //}
 
 mysql_close($con);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Documento sin t&iacute;tulo</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<script language="javascript">
 function envia(){
  window.print();
  document.form1.submit();
 }
 function envia2(){
  document.form1.action="guiainterna.php";
  document.form1.submit();
 }
</script>
<style type="text/css">
<!--
.Estilo1 {font-family: IDAutomationHC39M}
-->
</style></head>
</head>
<body onLoad="<?php if ($tipo != "04") { echo "envia()";}else{echo "envia2()";} ?>">

<p><strong>
Diego Veas López<br>
</strong>
  <?php 
  $imp="*" . $tipo . $numero . "*";
 echo $tipogl . "<BR>"; 
 echo  "<div align='left'><span class='Estilo1'>$imp</span></div> ";
 ?>
  <br> 
  .
</p>
<form name="form1" method="post" action="m0205001.php">
</form>
</body>
</html>
